%global momorel 2

Summary: Class Library for Numbers
Name: cln
Version: 1.2.2
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.ginac.de/CLN/
Group: System Environment/Libraries
Source0: http://www.ginac.de/CLN/cln-%{version}.tar.bz2 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq: info

%description
A GPLed collection of math classes and functions, that will bring
efficiency, type safety, algebraic syntax to everyone in a memory
and speed efficient library.

%package devel
Summary: Development files for programs using the CLN library
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This package is necessary if you wish to develop software based on
the CLN library.

%prep
%setup -q

%build
%ifarch x86_64
CFLAGS=`echo %{optflags} | sed s/-fPIC//` ; export CFLAGS
CXXFLAGS=`echo %{optflags} | sed s/-fPIC//` ; export CXXFLAGS
%endif

%configure
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -rf %{buildroot}%{_datadir}/dvi
rm -rf %{buildroot}%{_datadir}/html
rm -rf %{buildroot}%{_infodir}/dir

find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/cln.info --dir-file=%{_infodir}/dir

%preun devel
if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/cln.info --dir-file=%{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc COPYING ChangeLog FILES NEWS README TODO*
%doc doc examples
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc 
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/cln.pc
%{_includedir}/cln
%{_infodir}/*.info*

%changelog
* Tue Aug  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.2-2m)
- enable to build with -O2 option on x86_64

* Thu Apr 17 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.2-1m)
- update to 1.2.2

* Sun Apr  6 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.1-3m)
- filter -O2 on x86_64 to enable build with gcc43

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.1-2m)
- rebuild against gcc43

* Wed Apr 02 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Sun Feb 17 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.0-1m)
- update to 1.2.0

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.13-3m)
- %%NoSource -> NoSource

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.13-2m)
- delete libtool library

* Tue Nov 28 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.13-1m)
- 1.1.13 has been released

* Wed May 17 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.11-1m)
- import to Momonga for octave-forge

* Wed Apr 19 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.11-0.0.1m)
- update to 1.1.11

* Sun Feb 22 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.6-0.0.1m)
- build for Momonga
- modified src.rpm at ftp://ftpthep.physik.uni-mainz.de/pub/gnu/

* Thu Nov 20 2003 Christian Bauer <Christian.Bauer@uni-mainz.de>
  Added pkg-config metadata file to devel package
* Wed Nov  6 2002 Christian Bauer <Christian.Bauer@uni-mainz.de>
  Added HTML and DVI docs to devel package
* Tue Nov  5 2001 Christian Bauer <Christian.Bauer@uni-mainz.de>
  Added Packager
